@ECHO OFF
setlocal enableextensions enabledelayedexpansion

SET input_file=%1
SET output_folder=%2

ECHO Input File: %input_file%
ECHO Output Folder: %output_folder%
PAUSE

SET inkscape_exe="C:\Program Files\Inkscape\inkscape"

ECHO ***** Creating output folders *****
RMDIR /S /Q %output_folder%\drawable-mdpi
RMDIR /S /Q %output_folder%\drawable-hdpi
RMDIR /S /Q %output_folder%\drawable-xhdpi
RMDIR /S /Q %output_folder%\drawable-xxhdpi
RMDIR /S /Q %output_folder%\drawable-xxxhdpi
MD %output_folder%\drawable-mdpi
MD %output_folder%\drawable-hdpi
MD %output_folder%\drawable-xhdpi
MD %output_folder%\drawable-xxhdpi
MD %output_folder%\drawable-xxxhdpi

ECHO ***** Exporting Ids from %input_file% *****
%inkscape_exe% -S %input_file%> C:\Temp\SVG_ids.txt

ECHO ***** Filtering icon Ids *****
FINDSTR /B "ic_" C:\Temp\SVG_ids.txt >C:\Temp\SVG_icons.txt

ECHO ***** Processing icons *****
FOR /F %%L IN (C:\Temp\SVG_icons.txt) DO (
	SET line=%%L
	FOR %%T IN (!line!) DO (
		SET token=%%T
		If NOT "!token!"=="!token:ic=!" (
			call :export_icon !token!
		)
	)
)

goto :eof

:export_icon
	SET icon_id=%1
	ECHO.
	ECHO ***** Exporting icon %icon_id% *****

	%inkscape_exe% -e %output_folder%\drawable-mdpi\%icon_id%.png -d 72 -y 0 -i %icon_id% %input_file%
	%inkscape_exe% -e %output_folder%\drawable-hdpi\%icon_id%.png -d 108 -y 0 -i %icon_id% %input_file%
	%inkscape_exe% -e %output_folder%\drawable-xhdpi\%icon_id%.png -d 144 -y 0 -i %icon_id% %input_file%
	%inkscape_exe% -e %output_folder%\drawable-xxhdpi\%icon_id%.png -d 216 -y 0 -i %icon_id% %input_file%
	%inkscape_exe% -e %output_folder%\drawable-xxxhdpi\%icon_id%.png -d 288 -y 0 -i %icon_id% %input_file%

:eof